[Pkg-nagios-devel] Bug#648735: icinga-common: wrong permissions and files for eventhandlers

Markus Wigge markus at cultcom.de
Mon Nov 14 15:46:41 UTC 2011

Package: icinga-common
Version: 1.5.1-1~bpo60+1
Severity: important
Tags: sid


I noticed the following directory listing with icinga 1.5.1 from backports
which seems obviously wrong:
 ls -l /usr/share/icinga/plugins/eventhandlers/
insgesamt 44
-rw-r--r-- 1 root root  822 12. Sep 15:46 disable_active_service_checks
-rwxr-xr-x 1 root root  819  9. Sep 17:50 disable_active_service_checks.in
-rw-r--r-- 1 root root  753 12. Sep 15:46 disable_notifications
-rwxr-xr-x 1 root root  750  9. Sep 17:50 disable_notifications.in
drwxr-xr-x 2 root root 4096 24. Sep 04:04 distributed-monitoring
-rw-r--r-- 1 root root  821 12. Sep 15:46 enable_active_service_checks
-rwxr-xr-x 1 root root  818  9. Sep 17:50 enable_active_service_checks.in
-rw-r--r-- 1 root root  754 12. Sep 15:46 enable_notifications
-rwxr-xr-x 1 root root  751  9. Sep 17:50 enable_notifications.in
drwxr-xr-x 2 root root 4096 24. Sep 04:04 redundancy-scenario1
-rwxr-xr-x 1 root root 1213 12. Sep 15:46 submit_check_result

Seems like some change in the upstream buildsystem results in ".in" files
being installed and missing permissions on the processed files.


-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages icinga-common depends on:
ii  adduser            3.112+nmu2            add and remove users and groups
ii  bsd-mailx [mailx]  8.1.2-0.20100314cvs-1 simple mail user agent
ii  coreutils          8.5-1                 GNU core utilities
ii  lsb-base           3.2-23.2squeeze1      Linux Standard Base 3.2 init scrip
ii  mailx              1:20071201-3          Transitional package for mailx ren
ii  nagios-plugins-bas 1.4.15-3squeeze1      Plugins for the nagios network mon
ii  ucf                3.0025+nmu1           Update Configuration File: preserv

Versions of packages icinga-common recommends:
ii  nagios-plugins          1.4.15-5~bpo60+1 Plugins for nagios compatible moni

icinga-common suggests no packages.

-- no debconf information

More information about the Pkg-nagios-devel mailing list